Use this endpoint to retrieve a list of service levels offered by a particular carrier. Service levels include things like standard delivery and guaranteed end of day delivery.
- The unique
carrier_idfor the LTL carrier. This ID represents your connection with a specific carrier and it is generated and returned when you connect a carrier account.
You may also retrieve carrier connection information including the carrier_id from our List Connected Carriers endpoint.
The response object returned from successful requests to this endpoint will contain a list of services offered by a carrier. Each service will contain the parameters from the below table:
| Name | Type | Required | Description |
|---|---|---|---|
code | string | ✔ | The code for the type of service offered by the carrier. |
features | list | ✔ | This is a list of which endpoints where these accessorial services may be used. |
name | string | ✔ | The name or short description of the service. |
GET /v-beta/ltl/carriers/:carrier_id/services
GET /v-beta/ltl/carriers/car_NJuhsfkKkuxChJNtX6X5kJKKY7/services HTTP/1.1
Host: api.shipengine.com
API-Key: __YOUR_API_KEY_HERE__Example response:
{
"services": [
{
"code": "gtd_am",
"features": [
"quote",
"spot_quote",
"scheduled_pickup"
],
"name": "Guaranteed Morning"
},
{
"code": "gtd_noon",
"features": [
"quote",
"spot_quote",
"scheduled_pickup"
],
"name": "Guaranteed Noon"
},
{
"code": "gtd_pm",
"features": [
"quote",
"spot_quote",
"scheduled_pickup"
],
"name": "Guaranteed End of Day"
},
{
"code": "stnd",
"features": [
"quote",
"spot_quote",
"scheduled_pickup"
],
"name": "Standard"
}
]
}